Retrieve Settings Group Metadata
Retrieves metadata for a specific settings group.
GET
/api/{version}/configuration/settings/{type}/metadata/{group}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
type | The API name of the settings type. For example, general_settings__sys. Retrieve a list of all types available in your Vault with List Settings Types. |
group | The API name of the settings group. For example, currency. |
Request
Section link for Requestcurl -X GET -H "Authorization: {AUTH_VALUE}" \
-H "Accept: application/json" \
https://myvault.veevavault.com/api/v26.3/configuration/settings/general_settings__sys/metadata/vault_informationResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "vault_information",
"label": "Vault Information",
"description": null,
"settings": [
{
"name": "vault_name",
"label": "Vault Name",
"description": "Display name for this Vault.",
"type": "STRING",
"default": null,
"read_only": false
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the following information for the specified settings group:
| Name | Description |
|---|---|
name | The API name of the settings group. |
label | The label displayed in the UI. |
description | A description of the settings group. |
settings | A list of settings that belong directly to this settings group. Each entry includes name, label, description, type (BOOLEAN, STRING, or NUMBER), default, and read_only. |